Package org.xnio.conduits

# Class AbstractConduit<D extends Conduit>

java.lang.Object
org.xnio.conduits.AbstractConduit<D>

All Implemented Interfaces:
  `Conduit`

Direct Known Subclasses:
  `AbstractSinkConduit`, `AbstractSourceConduit`, `AbstractSynchronizedConduit`

public abstract class AbstractConduit<D extends Conduit> extends Object implements Conduit
An abstract base class for filtering conduits.

Author:
  David M. Lloyd

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final D`
`next`
The delegate conduit.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractConduit(D next)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`XnioWorker`
`getWorker()`
Get the XNIO worker associated with this conduit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### next

protected final D extends Conduit next
The delegate conduit.

## Constructor Details

### AbstractConduit

protected AbstractConduit(D next)
Construct a new instance.

Parameters:
  `next` - the delegate conduit to set

## Method Details

### getWorker

public XnioWorker getWorker()
Description copied from interface: `Conduit`
Get the XNIO worker associated with this conduit.

Specified by:
  `getWorker` in interface `Conduit`
Returns:
  the XNIO worker associated with this conduit